# Azure MySQL

## Example Usage

***

{% tabs %}
{% tab title="Terraform" %}
{% code title="azure-mysql-integration.tf" %}

```tf
resource "apono_integration" "azure-mysql-integration" {
  name                     = "Azure MySQL"
  type                     = "azure-mysql"
  connector_id             = "apono-connector-id"
  connected_resource_types = ["azure-mysql-instance"]
  metadata = {
    hostname = "<Hostname>"
    port = "<Port>"
  }
  kubernetes_secret = {
    name      = "name_template_value"
    namespace = "namespace_template_value"
  }
}
```

{% endcode %}
{% endtab %}

{% tab title="Terraform V2" %}
{% code title="azure-mysql-integration.tf" %}

```tf
resource "apono_resource_integration" "azure-mysql-integration" {
  name                     = "Azure MySQL"
  type                     = "azure-mysql"
  connector_id             = "apono-connector-id"
  connected_resource_types = ["azure-mysql-instance"]
  integration_config = {
    hostname = "<Hostname>"
    port = "<Port>"
  }
  secret_store_config = {
    kubernetes = {
      name      = "name_template_value"
      namespace = "namespace_template_value"
    }
}
```

{% endcode %}
{% endtab %}

{% tab title="Public API" %}
{% code title="azure-mysql-integration.json" %}

```json
{
    "azure-mysql-integration": {
        "name": "Azure MySQL",
        "type": "azure-mysql",
        "connector_id": "apono-connector-id",
        "connected_resource_types": [
            "azure-mysql-instance"
        ],
        "integration_config": {
            "hostname": "<Hostname>",
            "port": "<Port>",
        },
	"secret_store_config": {
    	    "name": "name_template_value",
    	    "namespace": "namespace_template_value"
  	    }
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Schema

***

* `type` azure-mysql
* `connected_resource_types` List of resource types to sync.

<details>

<summary>Available resource types you can use</summary>

* azure-mysql-instance
* azure-mysql-database
* azure-mysql-table
* azure-mysql-role

</details>

### Integration Config

***

* `hostname` (Required | String) Hostname
* `port` (Required | String) Port
  * Default value: `3306`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apono.io/metadata-for-integration-config/integration-metadata/azure-mysql.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
